Public Member Functions | Data Fields

# QueryStringBaseWindow Struct Reference

Inheritance diagram for QueryStringBaseWindow:

## Public Member Functions
| QueryStringBaseWindow (uint16 size, uint16 chars=UINT16_MAX)
void | DrawEditBox (int wid)
void | HandleEditBox (int wid)
HandleEditBoxResult | HandleEditBoxKey (int wid, uint16 key, uint16 keycode, EventState &state)
virtual void | OnOpenOSKWindow (int wid)
| Callback for when the OSK window is opened.
virtual void | OnOSKInput (int wid)
| Callback for when on input has been entered with the OSK.
## Data Fields
char * | edit_str_buf
| Buffer for string.
const uint16 | edit_str_size
| Maximum length of string (in bytes), including terminating ''.
const uint16 | max_chars
| Maximum length of string (in characters), including terminating ''.

## Detailed Description

Definition at line 62 of file querystring_gui.h.

## Member Function Documentation

void QueryStringBaseWindow::OnOpenOSKWindow | ( | int | wid | ) | `[virtual]`

Callback for when the OSK window is opened.

Parameters:

  | wid | The widget the OSK is opened of.

Reimplemented in QueryStringWindow, NetworkChatWindow, and NetworkCompanyPasswordWindow.

Definition at line 1097 of file misc_gui.cpp.

References ShowOnScreenKeyboard().

Referenced by DispatchLeftClickEvent().

virtual void QueryStringBaseWindow::OnOSKInput | ( | int | wid | ) | `[inline, virtual]`

Callback for when on input has been entered with the OSK.

Parameters:

  | wid | The widget the OSK was attached to.

Definition at line 92 of file querystring_gui.h.

The documentation for this struct was generated from the following files:

- src/querystring_gui.h
- src/misc_gui.cpp